local AddonName, AddonTable = ...
local L = AddonTable.Localize
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")

function UWFrame_OnLoad()
	UWFrame:RegisterEvent("ADDON_LOADED")
	UWFrame:RegisterEvent("UNIT_AURA")
end

function UWFrame_OnEvent(self, event, arg1)

if event == "ADDON_LOADED" and arg1 == "UnleashedWrath" then
	if UWConfig == "" or UWConfig == nil then
		UWConfig = {
			["Alerted"] = 'NO'
		}
	end
elseif event == "UNIT_AURA" then
	if AuraUtil.FindAuraByName(L["Overloaded with Light"], "player") then
		if UWConfig.Alerted == "NO" then
			UWConfig.Alerted = 'YES'
			RaidNotice_AddMessage(RaidWarningFrame,L["Overloaded with Light"].."!",ChatTypeInfo["RAID_WARNING"])
			PlaySound(8332, "Master")
		elseif UWConfig.Alerted == "YES" then
			return
		end
	elseif not AuraUtil.FindAuraByName(L["Overloaded with Light"], "player") then
		if UWConfig.Alerted == "YES" then
			UWConfig.Alerted = 'NO'
		end
	end
end

end